> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/networking/ipt/datastructure.md).

# 数据结构

## BFDConfig

BFD配置。

被如下接口引用：DescribeIPTransits, CreateIPTransit

| 参数名称          | 类型      | 必选 | 描述                                                                       |
| ------------- | ------- | -- | ------------------------------------------------------------------------ |
| bfdTxInterval | Integer | 否  | <p>发送间隔。</p><p>单位：ms。</p><p>取值范围：100～60000。</p><p>可选值范围：\[100, 6000]</p> |
| bfdRxInterval | Integer | 否  | <p>接收间隔。</p><p>单位：ms</p><p>取值范围：100～60000。</p><p>可选值范围：\[100, 6000]</p>  |
| bfdMultiplier | Integer | 否  | <p>本地检测倍数。</p><p>取值范围：3～20。</p><p>可选值范围：\[3, 20]</p>                     |

## DatacenterInfo

描述数据中心的信息。

被如下接口引用：DescribeIPTransitDatacenters, DescribeIPTransits

| 参数名称        | 类型     | 描述             |
| ----------- | ------ | -------------- |
| dcId        | String | 数据中心ID。        |
| dcName      | String | 数据中心名称。        |
| dcAddress   | String | 数据中心地址。        |
| cityName    | String | 城市名称。          |
| countryName | String | 国家名称。          |
| areaName    | String | 地区名称。          |
| latitude    | Float  | 数据中心所在地理位置的维度。 |
| longitude   | Float  | 数据中心所在地理位置的经度。 |

## IPAddress

描述IP信息。

被如下接口引用：DescribeIPTransits

| 参数名称             | 类型      | 描述      |
| ---------------- | ------- | ------- |
| ipAddress        | String  | IP地址。   |
| netmask          | Integer | 掩码。     |
| gatewayIpAddress | String  | 网关IP地址。 |

## IPPrice

IP价格信息。

被如下接口引用：InquiryCreateIPTransitPrice

| 参数名称    | 类型                      | 描述             |
| ------- | ----------------------- | -------------- |
| price   | [PriceItem](#priceitem) | IP CIDR 的价格信息。 |
| netmask | Integer                 | IP CIDR 的网段。   |
| qty     | Integer                 | IP CIDR 的数量。   |

## IPTransit

描述一个IP Transit资源相关的信息。包括关联的端口，所属资源组等信息。

被如下接口引用：DescribeIPTransits

| 参数名称                | 类型                                              | 描述                                                        |
| ------------------- | ----------------------------------------------- | --------------------------------------------------------- |
| iptId               | String                                          | IP Transit ID。                                            |
| iptName             | String                                          | IP Transit 名称。                                            |
| iptDescription      | String                                          | IP Transit 描述信息。                                          |
| dataCenter          | [DatacenterInfo](#datacenterinfo)               | IP Transit 对应的数据中心。                                       |
| peerPortId          | String                                          | 连接的端口ID。                                                  |
| peerPortName        | String                                          | 连接的端口名称。                                                  |
| peerDataCenter      | [DatacenterInfo](#datacenterinfo)               | 端口侧所属数据中心。                                                |
| deliveryType        | [IPTransitDeliveryType](#iptransitdeliverytype) | 交付类型。                                                     |
| resourceGroupId     | String                                          | IP Transit 所属资源组ID。                                       |
| resourceGroupName   | String                                          | IP Transit 所属资源组名称。                                       |
| createTime          | String                                          | <p>创建时间。</p><p>格式为：YYYY-MM-ddTHH:mm:ssZ。</p>              |
| routingType         | [IPTransitRouteType](#iptransitroutetype)       | 路由类型。                                                     |
| internetType        | [InternetType](#internettype)                   | 带宽计费方式。                                                   |
| bandwidth           | Integer                                         | <p>带宽限速。</p><p>单位Mbps。</p>                                |
| commitBandwidth     | Integer                                         | <p>承诺保底带宽。</p><p>仅当带宽计费方式为ByInstanceBandwidth95 可取到值。</p> |
| bfd                 | [BFDConfig](#bfdconfig)                         | BFD 配置。                                                   |
| bgp                 | [RiptBgpConfig](#riptbgpconfig)                 | BGP相关配置。                                                  |
| interconnect        | [Interconnect](#interconnect)                   | 互联IP地址信息。                                                 |
| privateConnectId    | String                                          | IP Transit 互联的专线ID。                                       |
| privateConnectName  | String                                          | IP Transit 互联的专线名称。                                       |
| publicIpv4Addresses | Array of [IPAddress](#ipaddress)                | 公网IP信息。                                                   |
| iptStatus           | [IPTransitStatus](#iptransitstatus)             | IP Transit 的业务状态。                                         |
| tags                | [Tags](#tags)                                   | 该IP Transit关联的标签。                                         |

## IPTransitDatacenter

描述支持IP Transit的数据中心信息，包括数据中心的基本信息以及支持的路由类型等。

被如下接口引用：DescribeIPTransitDatacenters

| 参数名称                  | 类型                                                                       | 描述         |
| --------------------- | ------------------------------------------------------------------------ | ---------- |
| dataCenter            | [DatacenterInfo](#datacenterinfo)                                        | 数据中心信息。    |
| availableRoutingTypes | Array of [RemoteIptAvailableRoutingType](#remoteiptavailableroutingtype) | 支持的路由类型配置。 |

## IPTransitDeliveryType

描述交付方式对应的枚举值。

被如下接口引用：DescribeIPTransitDatacenters, DescribeIPTransits

| 值      | 值说明               |
| ------ | ----------------- |
| Auto   | 自动化交付（一般在分钟内完成）。  |
| Manual | 手动交付（一般在3天内交付完成）。 |

## IPTransitRouteType

描述路由类型相关的枚举值。

被如下接口引用：DescribeIPTransitDatacenters, InquiryCreateIPTransitPrice, DescribeIPTransits, CreateIPTransit

| 值       | 值说明                |
| ------- | ------------------ |
| BGP     | BGP。（目前api暂不支持该方式） |
| Static  | 静态路由。              |
| Gateway | 网关模式。              |

## IPTransitStatus

描述IP Transit 的业务状态。

被如下接口引用：DescribeIPTransits

| 值                  | 值说明    |
| ------------------ | ------ |
| CREATING           | 创建中。   |
| UPDATING           | 更新中。   |
| DELETING           | 终止中。   |
| DESTROYING         | 销毁中。   |
| RECOVERING         | 恢复中。   |
| RUNNING            | 正常运行中。 |
| RECYCLED           | 已入回收站。 |
| DESTROYED          | 已销毁。   |
| CREATING\_FAILED   | 创建失败。  |
| UPDATING\_FAILED   | 更新失败。  |
| DELETING\_FAILED   | 终止失败。  |
| DESTROYING\_FAILED | 销毁失败。  |
| RECOVERING\_FAILED | 恢复失败。  |

## Interconnect

描述IP Transit 互联IP地址的信息。

被如下接口引用：DescribeIPTransits

| 参数名称                | 类型     | 描述           |
| ------------------- | ------ | ------------ |
| vendorIpv4Address   | String | 运营商侧的IPv4地址。 |
| customerIpv4Address | String | 用户侧的IPv4地址。  |

## InternetType

网络计费方式。

被如下接口引用：InquiryCreateIPTransitPrice, DescribeIPTransits, CreateIPTransit

| 值                     | 值说明      |
| --------------------- | -------- |
| ByBandwidth           | 按固定带宽计费。 |
| ByInstanceBandwidth95 | 实例95计费。  |

## PriceCategory

描述价格类型。

被如下接口引用：InquiryCreateIPTransitPrice

| 值          | 值说明   |
| ---------- | ----- |
| STANDARD   | 标准价格。 |
| CUSTOMIZED | 一口价格。 |

## PriceItem

描述价格的信息。

被如下接口引用：InquiryCreateIPTransitPrice

| 参数名称                    | 类型                               | 描述                                                                                                                         |
| ----------------------- | -------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| discount                | Float                            | <p>折扣大小。</p><p>如80.0代表8折。</p>                                                                                              |
| discountPrice           | Float                            | <p>后付费的单元折后价格。</p><p>后付费模式使用，如果价格为阶梯价格，该项为null。</p>                                                                        |
| originalPrice           | Float                            | <p>预付费的原价。</p><p>预付费模式使用，后付费该值为 null。</p>                                                                                  |
| unitPrice               | Float                            | <p>后付费的单元原始价格。</p><p>后付费模式使用，如果价格为阶梯价格，该项为null。</p>                                                                        |
| discountUnitPrice       | Float                            | <p>后付费的单元折后价格。</p><p>后付费模式使用，如果价格为阶梯价格，该项为null。</p>                                                                        |
| chargeUnit              | String                           | <p>后付费计价单元。</p><p>后付费模式使用，可取值范围：<br>HOUR: 表示计价单元是按每小时来计算。</p><p>DAY: 表示计价单元是按天来计算。</p><p>MONTH: 表示计价单元是按月来计算，95计费则是这种。</p> |
| stepPrices              | Array of [StepPrice](#stepprice) | <p>后付费阶梯价格。</p><p>后付费模式使用，如果非阶梯价格，该项为null。</p>                                                                             |
| amountUnit              | String                           | <p>用量单位。</p><p>比如Mbps, LCU等。</p><p>如果为null, 代表取不到值。</p>                                                                    |
| excessUnitPrice         | Float                            | 超量原始价格。                                                                                                                    |
| excessDiscountUnitPrice | Float                            | 超量折扣后价格。                                                                                                                   |
| excessAmountUnit        | String                           | <p>超量用量单位。</p><p>如果为null, 代表取不到值。</p>                                                                                      |
| category                | [PriceCategory](#pricecategory)  | 价格所属类别。                                                                                                                    |

## RemoteIptAvailableRoutingType

可用的路由类型信息。

被如下接口引用：DescribeIPTransitDatacenters

| 参数名称         | 类型                                              | 描述    |
| ------------ | ----------------------------------------------- | ----- |
| routingType  | [IPTransitRouteType](#iptransitroutetype)       | 路由类型。 |
| deliveryType | [IPTransitDeliveryType](#iptransitdeliverytype) | 交付模式。 |

## RiptBgpConfig

BGP相关配置。

被如下接口引用：DescribeIPTransits, CreateIPTransit

| 参数名称      | 类型                                    | 必选 | 描述               |
| --------- | ------------------------------------- | -- | ---------------- |
| routeType | [RiptBgpRouteType](#riptbgproutetype) | 否  | 入站路由类型。          |
| asn       | Integer                               | 否  | 宣告出站路由的ASN号。     |
| password  | String                                | 否  | 加密认证秘钥。          |
| asnList   | Array of Integer                      | 否  | 宣告出站路由的ASN号列表。   |
| asSetList | Array of String                       | 否  | 宣告出站路由的AS-SET列表。 |

## RiptBgpRouteType

BGP入站路由类型。

被如下接口引用：InquiryCreateIPTransitPrice, CreateIPTransit

| 值                                  | 值说明       |
| ---------------------------------- | --------- |
| ALL\_ROUTES                        | 全路由。      |
| ALL\_ROUTES\_WITH\_DEFAULT\_ROUTES | 全路由+默认路由。 |
| DEFAULT\_ROUTES                    | 默认路由。     |

## StepPrice

后付费阶梯价格。描述了价格的一个阶梯的信息。

被如下接口引用：InquiryCreateIPTransitPrice

| 参数名称              | 类型    | 描述                                 |
| ----------------- | ----- | ---------------------------------- |
| stepStart         | Float | 阶梯用量的开始。                           |
| stepEnd           | Float | 阶梯用量的结束。                           |
| unitPrice         | Float | <p>当前阶梯的单元原始价格。</p><p>后付费模式使用。</p> |
| discountUnitPrice | Float | <p>当前阶梯的单元折后价格。</p><p>后付费模式使用。</p> |

## Tag

描述一个标签键值对的信息。

被如下接口引用：DescribeIPTransits, CreateIPTransit

| 参数名称  | 类型     | 必选 | 描述                               |
| ----- | ------ | -- | -------------------------------- |
| key   | String | 是  | <p>标签键。</p><p>长度限制：1～128个字符。</p> |
| value | String | 否  | <p>标签值。</p><p>长度限制：1～128个字符。</p> |

## TagAssociation

描述创建资源时同时绑定的标签对的信息。

被如下接口引用：CreateIPTransit

| 参数名称 | 类型                   | 必选 | 描述     |
| ---- | -------------------- | -- | ------ |
| tags | Array of [Tag](#tag) | 是  | 标签对列表。 |

## Tags

描述资源关联的标签信息。

被如下接口引用：DescribeIPTransits

| 参数名称 | 类型                   | 描述     |
| ---- | -------------------- | ------ |
| tags | Array of [Tag](#tag) | 标签对列表。 |

## TrafficData

带宽数据。

被如下接口引用：DescribeIPTransitTraffic

| 参数名称       | 类型      | 描述                                           |
| ---------- | ------- | -------------------------------------------- |
| internetRX | Integer | 入口带宽。单位：bps。                                 |
| internetTX | Integer | 出口带宽。单位：bps。                                 |
| time       | String  | <p>数据时间。</p><p>格式为：YYYY-MM-DDThh:mm:ssZ。</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/ipt/datastructure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
